import sys
import schedule
import time

from . import RossetiParser, split_addresses, fetch_builing_ids, preprocess_df


def job() -> None:
    parser = RossetiParser()

    print(parser)

    parser.df = split_addresses(parser.df)

    parser.df = fetch_builing_ids(parser.df)

    parser.df = preprocess_df(parser.df)

    parser.save_df(f'./data_{parser.today.strftime("%d-%m-%y_%H:%M")}.csv')


if len(sys.argv) == 2:
    if sys.argv[1] == '-h' or sys.argv[1] == '--help':
        print("python -m parser [<running period in hours>]")
        exit(0)

    interval = int(sys.argv[1])
    if interval > 0:
        schedule.every(interval).hours.do(job)

        job()

        while True:
            schedule.run_pending()
            time.sleep(schedule.idle_seconds())
else:
    job()
